"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var discoverer_1 = require("./discoverer");
var symfony_style_logger_1 = require("./symfony-style-logger");
var discover_entries_config_1 = require("./discover-entries-config");
function discoverEntries(params) {
    if (params === void 0) { params = {}; }
    var logger = new symfony_style_logger_1.SymfonyStyleLogger();
    var config = new discover_entries_config_1.DiscoverEntriesConfig(params);
    var discoverer = new discoverer_1.EntriesDiscoverer();
    logger.displayAutodiscoveryHeader();
    var entries = discoverer.discoverEntries(config);
    logger.displayEntriesForModule(config.basePath, entries);
    logger.disaplyEntriesSummary(entries);
    return entries;
}
exports.discoverEntries = discoverEntries;
//# sourceMappingURL=index.js.map