"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var symfony_style_console_1 = require("symfony-style-console");
var prettyjson_1 = __importDefault(require("prettyjson"));
var keys_1 = __importDefault(require("lodash/keys"));
var SymfonyStyleLogger = /** @class */ (function () {
    function SymfonyStyleLogger() {
        this.io = new symfony_style_console_1.SymfonyStyle();
    }
    SymfonyStyleLogger.prototype.displayAutodiscoveryHeader = function () {
        this.io.title('Webpack Entries Autodiscovery');
    };
    SymfonyStyleLogger.prototype.displayEntriesForModule = function (modulePath, entries) {
        this.io.section("Entries for " + modulePath);
        this.prettyPrintObject(entries);
        this.io.newLine();
    };
    SymfonyStyleLogger.prototype.disaplyEntriesSummary = function (entries) {
        var totalEntries = keys_1.default(entries).length;
        var message = function (amount) { return (amount || 'No') + " entries are discovered!"; };
        totalEntries ?
            this.io.success(message(totalEntries)) :
            this.io.warning(message(totalEntries));
    };
    SymfonyStyleLogger.prototype.prettyPrintObject = function (object) {
        return console.log(prettyjson_1.default.render(object));
    };
    return SymfonyStyleLogger;
}());
exports.SymfonyStyleLogger = SymfonyStyleLogger;
//# sourceMappingURL=symfony-style-logger.js.map